function [formattedEdges, labList,k ] = formatEdges(sys)
%% The data structure CSSystem stores its edges as a |E|x2 array,
% and its Labels as an |E| x 1 array. Given such structure,
% we return 
% 1) formattedEdges array of size |E| x 3 where each line
% is of the form (source node, destination node, label index).
% 2) Lablist, an cell with 1 label per mode of the system.
% 3) k: the number of different modes of the system.
% NEEDED for observer graphs, since we iterate through all modes.

E = sys.getEdges();
L = sys.getLabels();
formattedEdges = [E, zeros(size(E,1), 1)];
labList = cell(1,1);
k = 0;
for e = 1 : size(E,1)

    if formattedEdges(e,3) > 0
        continue
    end
            k = k + 1;
    formattedEdges(e,3) = k;
    labList{k} = L{e};
    for e2 = e+1:size(E,1);
        if L{e} == L{e2} % Check if labels are the same.
            formattedEdges(e2,3) = k;
        end
    end

end



end
