function [text,nodeNames] = printSystemGraph( sys, nodeNames )
% Text representation of the graph of system Sys, 
% with letters for the nodes.
% cosmetic.
S = sys.getNNodes;
if nargin == 1
    nodeNames = cell(S,1);
    charOffset = 97 - 1;
    for i = 1 : S
        nodeNames{i} = char(charOffset + i); % Some letters, from a to whatever.
        % Please don't push the code too much, its for small examples :-).
    end
end
%text = ['G = (S,E) \n'];
text = [];
% we begin with S
text = [text, 'S = {'];
for i = 1:S
    text = [text, nodeNames{i}];
    if i < S
        text = [text, ', '];
    else
        text = [text, '};\n'];
    end
end
text = [text, 'E = {\n '];
E = sys.getNEdges;
for i = 1:E
    edge = sys.getEdges(i);
    lab = sys.getLabels(i);
    lab = cell2mat(lab);
    edge = ['(', nodeNames{edge(1)}, ', ', nodeNames{edge(2)}, ', ', num2str(lab), ')'];
    
    text = [text, edge];
    if i < E
        text = [text, ', \n '];
    else
        text = [text, '\n} \n'];
    end
end



end

