function [ observerSystem, table ] = weakObserverGraph( sys )
%OBSERVERGRAPH Summary of this function goes here
%   Detailed explanation goes here

% I'm assuming that the system is in expanded form.
% I need to check, for each edge, which is the corresponding label.
 S = sys.getNNodes;
 table = baseCounter(2,S);
 newEdges = [];
 labels = cell(1,1); % to be extended. 
 [formattedEdges,labList,kLabs] = formatEdges(sys);
edgesAdded = 0;

% weakObserver: I'll put an edge between Q and P if, forall q in Q, exists
% p in P: (p,q,\sigma). The quickfix is: 1) build the observer. 2), for
% each $(P,Q,\sigma)$ => for any subset $Q'$ of $Q$, we need (P,Q',\sigma).

 for tableEntry = 2 : 2^S
     nodeGroup = find(table(tableEntry,:) == 1);
     sourceGroupIndex = table(tableEntry,:)*(2 .^(0:S-1))';
     % now, for all labels
     for lab = 1 : kLabs
         % get the set of edges on that Label;
         eLab = formattedEdges( formattedEdges(:,3) == lab,:);
         destinationGroup = zeros(1,S);
         % now look at all nodes in the group.
         for n = 1 : length(nodeGroup)
             curNode = nodeGroup(n);
             eCurNode = eLab(eLab(:,1) == curNode,:);
             destinationGroup(eCurNode(:,2)) = 1; % here's where we land.
         end
         if sum(destinationGroup) > 0
             % Weak observers modification!
             destinationGroup
             k = sum(destinationGroup);
             where = find(destinationGroup > 0)
             locTable = baseCounter(2,k)
             for t = 2 : size(locTable,1);
                 edgesAdded = edgesAdded + 1;
                 locDestGroup = destinationGroup*0
                 t
                 where
                 
                 where(find(locTable(t,:) == 1))
                 locDestGroup(where(find(locTable(t,:) == 1)))=1
                 destGroupIndex = locDestGroup*(2 .^(0:S-1))';
                 newEdges = [newEdges; [sourceGroupIndex, destGroupIndex]];
                 labels{edgesAdded} = labList{lab};
             end             
         end
     end
     
 end
 
 newEdges
 labels'

observerSystem = CSSystem(newEdges, sys.getMatrices, labels);
 
 
end

