function writeDot(S, file, names)
% WRITEDOT Build dot-format file
%
% S.WRITEDOT(FILE, NODENUMBERING) will create, in file FILE, the .dot representation of
% the graph in S. if NODENUMBERING is true, it will add the node number at
% each node.
%
% To use this function, the "dot" software needs to be installed. One way
% to do it is to install graphviz (http://www.graphviz.org).
labels = S.getLabels;
edges = S.getEdges;
fid = fopen(file,'w') ;
fprintf(fid, 'digraph G {\n') ;
fprintf(fid, 'overlap=scale;\nspline=true;\nsize="200,150";\nrankdir=LR;\nK=1;\n') ;
for n = 1:S.getNNodes()
     fprintf(fid, sprintf('%d [height=0.3, width=0.3, label = "%s"];\n',n , names{n})) ;
end
for e = 1:S.getNEdges()       
    label = num2str(labels{e}) ;
    fprintf(fid, sprintf('%d -> %d [label="%s",fontsize=10];\n', edges(e, 1), ...
        edges(e, 2), ...
        label)) ;
end
fprintf(fid, '}') ;
fclose(fid) ;

end